Subject: How to get feedback on published RFCs

From: Yaron Sheffer <[email-masked]>
Date: Tue, 19 Jul 2016 11:35:14 +0200

Once an RFC is published, there is essentially no way for readers to
provide feedback: what works, what are the implementation pitfalls,
how does the document relate to other technologies or even to other
RFCs.

We IETF insiders usually know what is the relevant working group,
and can take our feedback there. Non-insiders though don't have any
contact point, and so will most likely keep their feedback to
themselves. These non-IETFers are the target audience of our
documents! Unfortunately, our so-called "Requests for Comments" are
anything but an invitation to submit comments.

There is a number of tools now that allow "web annotations" (i.e.,
comments) on various published documents. I submitted a draft [1]
recently that proposes to enable annotations on the "tools" version
of our RFCs. Technically, this is a trivial change. From a process
point of view it is more complicated and merits discussion on this
list. Sec. 6 of the draft allows you to see for yourself what such
annotations would look like.

I am here in Berlin if people prefer to talk it over in person.
Otherwise, please reply on this list.

Thanks,

Yaron

[1]
https://tools.ietf.org/html/draft-sheffer-ietf-rfc-annotations-00

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 19 Jul 2016 05:50:40 -0400

On Tue, Jul 19, 2016 at 5:35 AM, Yaron Sheffer <[email-masked]> wrote:
> Once an RFC is published, there is essentially no way for readers to provide
> feedback: what works, what are the implementation pitfalls, how does the
> document relate to other technologies or even to other RFCs.
>
> We IETF insiders usually know what is the relevant working group, and can
> take our feedback there. Non-insiders though don't have any contact point,
> and so will most likely keep their feedback to themselves. These non-IETFers
> are the target audience of our documents! Unfortunately, our so-called
> "Requests for Comments" are anything but an invitation to submit comments.
>
> There is a number of tools now that allow "web annotations" (i.e., comments)
> on various published documents. I submitted a draft [1] recently that
> proposes to enable annotations on the "tools" version of our RFCs.
> Technically, this is a trivial change. From a process point of view it is
> more complicated and merits discussion on this list. Sec. 6 of the draft
> allows you to see for yourself what such annotations would look like.
>
> I am here in Berlin if people prefer to talk it over in person. Otherwise,
> please reply on this list.
>

I think that's an interesting and very good idea.  I googled one of my
RFCs a while back related to work I was doing and found anecdotes on
other sites that included feedback.  I would not have seen it and the
WG would not have either had I I/they not looked for it.

We would need to display and ack the notewell prior to posts so the
non-ietf users understand our policies.

Kathleen

> Thanks,
>     Yaron
>
> [1] https://tools.ietf.org/html/draft-sheffer-ietf-rfc-annotations-00

-- 

Best regards,
Kathleen

---

From: S Moonesamy <[email-masked]>
Date: Tue, 19 Jul 2016 05:49:36 -0700

Hi Yaron,
At 02:35 19-07-2016, Yaron Sheffer wrote:
>how does the document relate to other technologies or even to other RFCs.

[snip]

>annotations would look like.

I recall that this has been discussed 
before.  draft-sheffer-ietf-rfc-annotations-00 is proposing an IETF 
process experiment to enable web annotations on published 
RFCs.  Would that cover RFCs published in the IAB Stream?

As the proposed experiment identifies "tools" RFCs, it shouldn't 
affect the archival series.  Section 4.1 mentions that there is room 
for abuse.  I read some negative comments on the web about a RFC 
which I edited.  In my opinion it is fair criticism.

Regards,
S. Moonesamy

---

From: Yaron Sheffer <[email-masked]>
Date: Tue, 19 Jul 2016 15:12:28 +0200

On 19/07/16 14:49, S Moonesamy wrote:
>> recently that proposes to enable annotations on the "tools" version of
>> our RFCs. Technically, this is a trivial change. From a process point
>> of view it is more complicated and merits discussion on this list.
>> Sec. 6 of the draft allows you to see for yourself what such
> I recall that this has been discussed before.
> draft-sheffer-ietf-rfc-annotations-00 is proposing an IETF process
> experiment to enable web annotations on published RFCs.  Would that
> cover RFCs published in the IAB Stream?

Yes, the current proposal would cover all published RFCs.

>
> As the proposed experiment identifies "tools" RFCs, it shouldn't affect
> the archival series.

This is correct.

   Section 4.1 mentions that there is room for
> abuse.  I read some negative comments on the web about a RFC which I
> edited.  In my opinion it is fair criticism.
>
> Regards,
> S. Moonesamy

---

From: Alessandro Vesely <[email-masked]>
Date: Tue, 19 Jul 2016 19:16:50 +0200

> I recall that this has been discussed before.

I recall a 2012 occasion[*] where I asked for a better tool than errata held 
for document revision.

[*] https://www.ietf.org/mail-archive/web/ietf-smtp/current/msg07284.html

> As the proposed experiment identifies "tools" RFCs, it shouldn't affect the
> archival series.

Annotations are stored separately.  In principle, notes sticked to a given URL 
can be displayed anywhere.

Ale

---

From: S Moonesamy <[email-masked]>
Date: Wed, 20 Jul 2016 02:46:56 -0700

Hi Alessandro,
At 10:16 19-07-2016, Alessandro Vesely wrote:
>I recall a 2012 occasion[*] where I asked for a better tool than 
>errata held for document revision.

Thanks for reminding me about the tool.  It uses visual cues 
[1].  The person providing feedback about those RFCs was able to get 
feedback about the issues from the editors.

Regards,
S. Moonesamy

1. Accessibility considerations.